## EvSidebar EvSidebar |

## Synopsis

                        EvSidebar;
                        EvSidebarClass;
                        EvSidebarPrivate;
    GtkWidget *         ev_sidebar_new                      (void);
    void                ev_sidebar_add_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);
    void                ev_sidebar_set_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);
    void                ev_sidebar_set_model                (EvSidebar *sidebar,
                                                             EvDocumentModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----EvSidebar

## Implemented Interfaces

EvSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "current-page"             GtkWidget*            : Read / Write

## Description

## Details

### EvSidebar

    typedef struct _EvSidebar EvSidebar;

### EvSidebarClass

    typedef struct {
    	GtkVBoxClass base_class;
    } EvSidebarClass;

### EvSidebarPrivate

    typedef struct _EvSidebarPrivate EvSidebarPrivate;

### ev_sidebar_new ()

    GtkWidget *         ev_sidebar_new                      (void);

Returns : |

### ev_sidebar_add_page ()

    void                ev_sidebar_add_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);

`ev_sidebar` : |
`main_widget` : |

### ev_sidebar_set_page ()

    void                ev_sidebar_set_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);

`ev_sidebar` : |
`main_widget` : |

### ev_sidebar_set_model ()

    void                ev_sidebar_set_model                (EvSidebar *sidebar,
                                                             EvDocumentModel *model);

## Property Details

### The `"current-page"` property

      "current-page"             GtkWidget*            : Read / Write

The currently visible page.